KDE 4.2 PyKDE API Reference

- KDE's Python API

# SvgWidget Class Reference

`from PyKDE4.plasma import *`

Inherits: QGraphicsWidget → QObject
Namespace: Plasma

## Detailed Description

## Signals

| clicked (Qt.MouseButton a0)

## Methods

| __init__ (self, QGraphicsItem parent=0, Qt.WindowFlags wFlags=0)
| __init__ (self, Plasma.Svg svg, QString elementID=QString(), QGraphicsItem parent=0, Qt.WindowFlags wFlags=0)
| clicked (self, Qt.MouseButton a0)
QString | elementID (self)
| mouseReleaseEvent (self, QGraphicsSceneMouseEvent event)
| paint (self, QPainter painter, QStyleOptionGraphicsItem option, QWidget widget)
| setElementID (self, QString elementID)
| setSvg (self, Plasma.Svg svg)
Plasma.Svg | svg (self)

## Method Documentation

__init__ | ( | self, |
|  | QGraphicsItem | parent=0,
|  | Qt.WindowFlags | wFlags=0
| ) |  |  |

__init__ | ( | self, |
|  | Plasma.Svg | svg,
|  | QString | elementID=QString(),
|  | QGraphicsItem | parent=0,
|  | Qt.WindowFlags | wFlags=0
| ) |  |  |

clicked | ( | self, |
|  | Qt.MouseButton | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("clicked(MouseButton)"), target_slot)`

QString elementID | ( |  | self ) |

mouseReleaseEvent | ( | self, |
|  | QGraphicsSceneMouseEvent | event
| ) |  |  |

paint | ( | self, |
|  | QPainter | painter,
|  | QStyleOptionGraphicsItem | option,
|  | QWidget | widget
| ) |  |  |

setElementID | ( | self, |
|  | QString | elementID
| ) |  |  |

setSvg | ( | self, |
|  | Plasma.Svg | svg
| ) |  |  |

Plasma.Svg svg | ( |  | self ) |